Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster dev » RE: [buckminster-dev] Project cannot be built?
RE: [buckminster-dev] Project cannot be built? [message #26471] Wed, 08 October 2008 14:50
Eclipse UserFriend
Originally posted by: Mark.Addleman.ca.com

Hi, Thomas -

Thanks for the quick response. I'm traveling today with limited access
to our systems, so I can't verify the Buckminster versions but I'll do
that as soon as I get a chance.

A couple of questions:

Does the Buckminster headless provide an "update" command similar to
Eclipse Help->Software Updates?

I believe the org.eclipse.osgi.services bundle is not a fragment.
org.eclipse.equinox.app doesn't declare a dependency on services, rather
app imports the packages defined in services. Will Buckminster figure
out the proper ordering?

-----Original Message-----
From: buckminster-dev-bounces@eclipse.org
[mailto:buckminster-dev-bounces@eclipse.org] On Behalf Of Thomas
Hallgren
Sent: Wednesday, October 08, 2008 12:36 AM
To: Buckminster developer discussions
Subject: Re: [buckminster-dev] Project cannot be built?

Hi Mark,
What version of Buckminster are you using? Apparently the fragments are
built before their host bundle. I can see that from looking at the build

of the m365.messaging.receiver.feature. It has entries like:

lib.commons_codec:osgi.bundle$1.0.0#OSGi#target.fragments
lib.commons_codec:osgi.bundle$1.0.0#OSGi#bundle.jar

and the pattern is the same every bundle. This problem was recently
resolved. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=247005

Could it be that you are using the latest buckminster pde feature in
your IDE but not in your headless setup?

Regards,
Thomas Hallgren



Addleman, Mark J wrote:
>
> I am having trouble building org.eclipse.equinox.app using headless
> Buckminster. I can resolve the entire project with my query, but when
> I try to perform the create action for my product, the
> org.eclipse.equinox.app fails because its prerequisite
> org.eclipse.osgi.services isn't built. It then says, "Cleaning and
> building all projects is recommended." Weirdly, the corresponding
> process works in the IDE.
>
> Attached are the build scripts I'm using along with the output of the
> build.
>
>
------------------------------------------------------------ ------------
>
> _______________________________________________
> buckminster-dev mailing list
> buckminster-dev@eclipse.org
> https://dev.eclipse.org/mailman/listinfo/buckminster-dev
>

_______________________________________________
buckminster-dev mailing list
buckminster-dev@eclipse.org
https://dev.eclipse.org/mailman/listinfo/buckminster-dev
Previous Topic:Re: [buckminster-dev] Project cannot be built?
Next Topic:RE: [buckminster-dev] Project cannot be built?
Goto Forum:
  


Current Time: Thu Nov 27 13:24:50 GMT 2014

Powered by FUDForum. Page generated in 0.02661 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software